Subject: Re: [PATCH] iproute2: show network device dependency tree

From: Zaboj Campula <[email-masked]>
Date: Thu, 02 Mar 2017 19:51:28 +0000

On Wed, 2017-03-01 at 11:22 +0100, Jiri Benc wrote:
> On Tue, 28 Feb 2017 20:07:37 +0000, Zaboj Campula wrote:
> > Well it is impossible to draw a simple tree showing the configuration
> > exactly with all details. May be it is too ambitious to draw a tree
> > at all.
> 
> I tried that and failed. I didn't want to have something that would
> work only "somehow" as that would create confusion instead of helping.

OK, I give up. My patch was naive and I deleted it.
Nevertheless I still think it would be useful to show network
interfaces dependencies in a pure text format.

> Consider the very simple case of an interface with two vlan interfaces
> and both of them in a bridge.
> 
>          vlan0
>       /        \
> eth0             br0
>       \        /
>          vlan1
> 
> You can't represent this in a tree view. And this is just a very simple
> example, in reality it tends to be much more complex.

Perhaps something like that:
eth0
    vlan0
        br0
    vlan1
        br0